from api_validations.validations_request import DepartmentsPydantic, PatchRecord

from api_events.events.abstract_class import MethodToEvent, ActionsSchema
from api_objects.auth.token_objects import EmployeeTokenObject, OccupantTokenObject
from api_validations.core_response import AlchemyJsonResponse


class ModulesEvents(MethodToEvent):

    @classmethod
    def modules_list(cls, request, list_options):
        return

    @classmethod
    def modules_create(cls, data: DepartmentsPydantic, token_dict):
        return

    @classmethod
    def modules_update(cls, module_uu_id: str, data: DepartmentsPydantic, token_dict):
        return

    @classmethod
    def modules_patch(cls, module_uu_id: str, data: PatchRecord, token_dict):
        return
